image: node:10.17.0
stages:
  - build
  
  





    
build:
  stage: build
  script:
    - npm i
    - npm run test-coverage
    - npm run build-storybook
    - npm run build
    - cp -r coverage public/
    - cp -r storybook-dist public/
    - npm -g install lcov-summary
    - lcov-summary coverage/lcov.info --no-color
  artifacts:
    paths:
       - public 
